
QGIS Application - Bug report #10684

crasher: selecting nodes from multiple inner rings and attempting to delete those kills QGIS

2014-06-23 06:33 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19082

Description

Steps to reproduce:

    1. Open the attached crash_me project

    2. Activate the edit mode for the crash_me layer 

    3. Using the node tool, select nodes from all the inner rings of the layer polygon

    4. Delete the nodes via the Delete, i.e. Del, keyboard shortcut

    5. boom crash

IMO, if all the nodes of given inner ring(s) are selected, the inner ring should be removed. Beyond that, if the suggested behavior isn't

desirable, the crasher still needs fixing :)

Related issues:

Duplicates QGIS Application - Bug report # 9770: Removal of nodes can create ... Closed 2014-03-12

Associated revisions

Revision c686c4fe - 2014-06-25 12:39 PM - Jürgen Fischer

geometry: allow removing parts and rings or geometries by removing all vertices

(fixes #10684)

History

#1 - 2014-06-23 11:03 PM - Jürgen Fischer

- Category changed from Vectors to Digitising

#2 - 2014-06-24 01:46 AM - Giovanni Manghi

On Linux is a complete freeze, but it does not change a lot... The issue was already there in 2.2, but not 2.0.1

#3 - 2014-06-24 09:28 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#4 - 2014-06-25 03:40 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"c686c4fed8b31b3f691c23efbc94169a23566fe2".
